import { Hub, Scope } from '@sentry/core';
import type { Options } from './types';
import { CheckIn, MonitorConfig } from '@sentry/types';
/**
 * The Cloudflare Workers SDK.
 */
export declare class Toucan extends Hub {
    constructor(options: Options);
    /**
     * Sets the request body context on all future events.
     *
     * @param body Request body.
     * @example
     * const body = await request.text();
     * toucan.setRequestBody(body);
     */
    setRequestBody(body: unknown): void;
    /**
     * Enable/disable the SDK.
     *
     * @param enabled
     */
    setEnabled(enabled: boolean): void;
    /**
     * Create a cron monitor check in and send it to Sentry.
     *
     * @param checkIn An object that describes a check in.
     * @param upsertMonitorConfig An optional object that describes a monitor config. Use this if you want
     * to create a monitor automatically when sending a check in.
     */
    captureCheckIn(checkIn: CheckIn, monitorConfig?: MonitorConfig, scope?: Scope): string;
}
//# sourceMappingURL=sdk.d.ts.map